Subject: Re: INFO: task hung in htable_put

From: syzbot <[email-masked]>
Date: Thu, 19 Mar 2020 21:42:04 -0700

syzbot suspects this bug was fixed by commit:

commit 99b79c3900d4627672c85d9f344b5b0f06bc2a4d
Author: Cong Wang <[email-masked]>
Date:   Thu Feb 13 06:53:52 2020 +0000

    netfilter: xt_hashlimit: unregister proc file before releasing mutex

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=17446eb1e00000
start commit:   f2850dd5 Merge tag 'kbuild-fixes-v5.6' of git://git.kernel..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=735296e4dd620b10
dashboard link: https://syzkaller.appspot.com/bug?extid=84936245a918e2cddb32
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=17a96c29e00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=12fcc65ee00000

If the result looks correct, please mark the bug fixed by replying with:

#syz fix: netfilter: xt_hashlimit: unregister proc file before releasing mutex

For information about bisection process see: https://goo.gl/tpsmEJ#bisection